New walinuxagent upstream version: 2.2.21

Bug #1746628 reported by Daniel Sol on 2018-02-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
walinuxagent (Ubuntu)
Undecided
Łukasz Zemczak
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[Impact]
This release contains both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/walinuxagentUpdates

The Microsoft Azure Linux Agent team will execute their testsuite, which
includes extension testing , against the walinuxagent that is in
-proposed. A successful run will be required before the proposed walinuxagent
can be let into -updates.

The CPC team will be in charge of attaching a summary of testing to the bug. CPC team members will not
mark ‘verification-done’ until this has happened.

[Changelog]

* 2.2.21:
 - Nothing mentioned

* 2.2.20:
 - [#945] Download operation failure

* 2.2.19:
 - [#929] wire.py#update_goal_state does not handle out-of-date GoalState errors
 - [#908] Set Files to 0400 in /var/lib/waagent
 - [#906] Hardcoded value for sshd's ClientAliveInterval (180)
 - [#899] Improve HeartBeat Event
 - [#898] Send dummy status if extension fails to write a #.status file
 - [#897] 'Target handler state' wall of errors
 - [#896] End of Line Comments are Not Supported nor Handled
 - [#891] Create a Telemetry Event to Track Custom Data Execution
 - [#884] Cleanup Old Goal State and Extension Cache
 - [#876] The agent should use a scaling back-off when retrying HTTP requests
 - [#869] The agent should report OS information in the correct JSON format.
 - [#822] Update docs

* 2.2.18
 - [#868] Fix for sudoer update
 - [#886] Agent should not update outside of goal state
 - [#889] Firewall removal should not retry

[Original Description]

Hi Canonical Team,
We are pleased to announce a new release of the Linux Agent, 2.2.21, this has multiple fixes.

https://github.com/Azure/WALinuxAgent/releases/tag/v2.2.21

Please can you take this, and package it?

After it is packaged in proposed, can the proposed agent package be baked into a daily image for full end to end testing?

Thanks,

summary: - walinuxagent
+ New walinuxagent upstream version: 2.2.21
Changed in walinuxagent (Ubuntu):
assignee: nobody → Łukasz Zemczak (sil2100)
status: New → Confirmed
Changed in walinuxagent (Ubuntu):
status: Confirmed → In Progress
description: updated
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.21-0ubuntu1

---------------
walinuxagent (2.2.21-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1746628).
  * debian/patches/disable_import_test.patch: refreshed patch.

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 05 Feb 2018 17:25:14 +0100

Changed in walinuxagent (Ubuntu):
status: In Progress → Fix Released

Hello Daniel, or anyone else affected,

Accepted walinuxagent into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.21-0ubuntu1~17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Artful):
status: New → Fix Committed
Changed in walinuxagent (Ubuntu Xenial):
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Daniel, or anyone else affected,

Accepted walinuxagent into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.21-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Trusty):
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Daniel, or anyone else affected,

Accepted walinuxagent into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.21-0ubuntu1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Daniel Sol (danis) wrote :

Hi CPC Team,
Please do NOT proceed with this, we have noticed a bug in 2.2.21, we are patching this now and will come back to you within 1 week, and ask you to package 2.2.22. I will raise a new bug when this releases, this bug can be closed.

Apologies for this.

Thanks!

tags: added: verification-failed-artful verification-failed-trusty verification-failed-xenial
tags: added: id-5a727fa52c8fe3a441f7c048
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.21+really2.2.20-0ubuntu1~16.04.1

---------------
walinuxagent (2.2.21+really2.2.20-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport bionic version to xenial.
  * Revert to an older upstream release: 2.2.20 (LP: #1749589).
    - Rename upstream tarball to 2.2.21+really2.2.20 to end up with a
      temporarily higher version number than what's in the archive.
  * debian/patches/disable_import_test.patch: refreshed patch.

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 15 Feb 2018 14:28:59 +0100

Changed in walinuxagent (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.21+really2.2.20-0ubuntu1~14.04.1

---------------
walinuxagent (2.2.21+really2.2.20-0ubuntu1~14.04.1) trusty; urgency=medium

  * Backport bionic version to trusty.
  * Revert to an older upstream release: 2.2.20 (LP: #1749589).
    - Rename upstream tarball to 2.2.21+really2.2.20 to end up with a
      temporarily higher version number than what's in the archive.
  * debian/patches/disable_import_test.patch: refreshed patch.

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 15 Feb 2018 14:28:59 +0100

Changed in walinuxagent (Ubuntu Trusty):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

This is actually not fixed. Got marked as such as the reverted version was present in the changelog.

Changed in walinuxagent (Ubuntu Artful):
status: Fix Committed → Won't Fix
Changed in walinuxagent (Ubuntu Xenial):
status: Fix Released → Won't Fix
Changed in walinuxagent (Ubuntu Trusty):
status: Fix Released → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers